qemu-devel
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Qemu-devel] [PATCH v2 04/15] docker: Add test runner


From: Fam Zheng
Subject: [Qemu-devel] [PATCH v2 04/15] docker: Add test runner
Date: Tue, 16 Feb 2016 20:39:48 +0800

It's better to have a launcher for all tests, to make it easier to
initialize and manage the environment.

Signed-off-by: Fam Zheng <address@hidden>
---
 tests/docker/run | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)
 create mode 100755 tests/docker/run

diff --git a/tests/docker/run b/tests/docker/run
new file mode 100755
index 0000000..55b2737
--- /dev/null
+++ b/tests/docker/run
@@ -0,0 +1,26 @@
+#!/bin/bash -e
+#
+# Docker test runner
+#
+# Copyright (c) 2016 Red Hat Inc.
+#
+# Authors:
+#  Fam Zheng <address@hidden>
+#
+# This work is licensed under the terms of the GNU GPL, version 2
+# or (at your option) any later version. See the COPYING file in
+# the top-level directory.
+
+# Prepare the environment
+. /etc/profile || true
+export PATH=/usr/lib/ccache:$PATH
+
+tmp="$QEMU_SRC"
+QEMU_SRC=/var/tmp/qemu.tmp
+cp -r "$tmp" "$QEMU_SRC"
+if test -n "$J"; then
+    export MAKEFLAGS="$MAKEFLAGS -j$J"
+fi
+
+cd $QEMU_SRC/tests/docker
+"$@"
-- 
2.4.3




reply via email to

[Prev in Thread] Current Thread [Next in Thread]